Get a budget entry

Add MCP server to your AI tool

Allow AI tools and LLMs to interact with the API documentation portal through MCP.

MCP server URL

https://api-docs.kitsu.cloud/mcp

Standard setup for AI tools providing an mcp.json file

mcp.json
{
  "Kitsu API MCP server": {
    "url": "https://api-docs.kitsu.cloud/mcp"
  }
}

Close
GET /data/budget-entries/{instance_id}

Get a budget entry. You must be an administrator.

Path parameters

  • instance_id string(uuid) Required

    Unique identifier of the budget entry

Query parameters

  • relations boolean

    Add the related data. The default value is true.

    Default value is true.

Responses

  • 200 application/json

    The budget entry

    Hide response attributes Show response attributes object
    • id string(uuid)
    • budget_id string(uuid)
    • department_id string(uuid)
    • person_id string(uuid) | null
    • start_date string(date)
    • months_duration integer
    • daily_salary number
    • position string
    • seniority string
    • exceptions object | null
    • created_at string(date-time)
    • updated_at string(date-time)
  • 400

    The identifier is not a valid UUID

  • 403

    You are not an administrator

  • 404

    The budget entry does not exist

GET /data/budget-entries/{instance_id}
curl \
 --request GET '/api/data/budget-entries/a24a6ea4-ce75-4665-a070-57453082c250' \
 --header "Authorization: $API_KEY"
Response examples (200)
{
  "id": "a24a6ea4-ce75-4665-a070-57453082c250",
  "budget_id": "b24a6ea4-ce75-4665-a070-57453082c250",
  "department_id": "c24a6ea4-ce75-4665-a070-57453082c250",
  "person_id": "d24a6ea4-ce75-4665-a070-57453082c250",
  "start_date": "2024-01-15",
  "months_duration": 3,
  "daily_salary": 1000.0,
  "position": "artist",
  "seniority": "mid",
  "exceptions": {},
  "created_at": "2024-01-15T10:30:00Z",
  "updated_at": "2024-01-15T10:30:00Z"
}